[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.SetFields

Set a number of field values at once

## Declaration

Source position: db.pas line 1618

`public procedure TDataSet.SetFields(`
`const Values: array of Const`
`);`

## Arguments

`Values` |  | Values to save in fields

## Description

SetFields sets the values of the fields with the corresponding values in the array. It starts with the first field in the TDataset.Fields property, and works it's way down the array.

## Errors

If the dataset is not in edit mode, then an EDatabaseError exception will be raised. If there are more values than fields, an EListError exception will be raised.

## See also

TDataset.Fields |  | Indexed access to the fields of the dataset.

Documentation generated on: Feb 26 2014